summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lockywolf <for_sbo.sensord_2024-02-10@lockywolf.net>2024-04-12 22:54:54 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-04-13 22:03:55 +0700
commit89ddd3b60ac69147301f1252ac8afd93eb377aab (patch)
tree1d19754eccbba2ecebc1c3f70b493a65e2f09251
parent801a12fc31f1e2b58efd65963f93466262efcc5d (diff)
downloadslackbuilds-89ddd3b60ac69147301f1252ac8afd93eb377aab.tar.gz
slackbuilds-89ddd3b60ac69147301f1252ac8afd93eb377aab.tar.xz
system/sensord: Added (Linux hardware monitoring).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/sensord/README22
-rw-r--r--system/sensord/sensord.SlackBuild115
-rw-r--r--system/sensord/sensord.info10
-rw-r--r--system/sensord/slack-desc19
4 files changed, 166 insertions, 0 deletions
diff --git a/system/sensord/README b/system/sensord/README
new file mode 100644
index 0000000000..e8b5190d7a
--- /dev/null
+++ b/system/sensord/README
@@ -0,0 +1,22 @@
+sensord is an rrd-based logger for lm_sensors
+
+Sensord is a daemon that can be used to periodically log sensor
+ readings from hardware health-monitoring chips to syslog(3) or
+ a round- robin database (RRD) and to alert when a sensor alarm
+ is signalled; for example, if a fan fails, a temperature limit
+ is exceeded, etc.
+
+A classic redhat-style initscript is shipped in the doc directory,
+
+A command similar to this one would log sensor data into a file under
+/var/log:
+
+/usr/sbin/sensord -i1m -l30m -1 -t3m -r/var/log/sensord.rrd -d -a
+
+Viewing the graph requires a bit of rrdtool mastery, but
+man sensord suggest an option to generate a cgi script to be
+used by rrdcgi and delivered through a CGI-supporting web server.
+
+Nginx (not shipped with Slackware, but popular) does not support
+CGI, so you may have to delve into fcgiwrap and/or spawn-fcgi.
+
diff --git a/system/sensord/sensord.SlackBuild b/system/sensord/sensord.SlackBuild
new file mode 100644
index 0000000000..1f5b20aa94
--- /dev/null
+++ b/system/sensord/sensord.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+# Slackware build script for sensord
+
+# Copyright 2024, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sensord
+VERSION=${VERSION:-3.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+TARNAM=lm-sensors
+TARVER=${VERSION//./-}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$TARVER
+tar xvf $CWD/$TARNAM-$TARVER.tar.gz
+cd $TARNAM-$TARVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+make user PREFIX=/usr LIBDIR=/usr/lib${LIBDIRSUFFIX} PROG_EXTRA=sensord || exit 1
+#make user_install PROG_EXTRA=sensord PREFIX=/usr LIBDIR=/usr/lib${LIBDIRSUFFIX} DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/sbin $PKG/usr/man/man8
+install -m 755 prog/sensord/sensord $PKG/usr/sbin
+install -m 644 prog/sensord/sensord.8 $PKG/usr/man/man8
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ./prog/init/sensord.init \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/sensord/sensord.info b/system/sensord/sensord.info
new file mode 100644
index 0000000000..eed802225d
--- /dev/null
+++ b/system/sensord/sensord.info
@@ -0,0 +1,10 @@
+PRGNAM="sensord"
+VERSION="3.6.0"
+HOMEPAGE="https://hwmon.wiki.kernel.org/"
+DOWNLOAD="https://github.com/lm-sensors/lm-sensors/archive/V3-6-0/lm-sensors-3-6-0.tar.gz"
+MD5SUM="f60e47b5eb50bbeed48a9f43bb08dd5e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="rrdtool"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.sensord_2024-02-10@lockywolf.net"
diff --git a/system/sensord/slack-desc b/system/sensord/slack-desc
new file mode 100644
index 0000000000..34286bf222
--- /dev/null
+++ b/system/sensord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sensord: sensord (Sensor information logging daemon)
+sensord:
+sensord: sensord is developed together with lm_sensors, and is intended to log
+sensord: sensors data into an rrd database.
+sensord:
+sensord: Slackware does not ship rrdtool, so in this case sensord is provided
+sensord: as a SlackBuild.
+sensord:
+sensord:
+sensord:
+sensord: